
#ifndef	_EXTRACT_H_
#define	_EXTRACT_H_

ferr_t _far_extract(buf_t *, const char *);
ferr_t far_start_extract(buf_t *, uint64_t);
ferr_t far_extract_single(buf_t *, const char *, uint64_t);
ferr_t far_extract_entry(buf_t *, far_info_t *);
ferr_t far_get_finfo(buf_t *, far_info_t **, uint64_t);
ferr_t far_get_head(buf_t *, far_head_t **);
ferr_t far_head2info(far_head_t *, far_info_t *);
ferr_t far_getnames(buf_t *, far_info_t *);
ferr_t far_mknod(far_info_t *);
ferr_t far_symlink(far_info_t *);
ferr_t far_create_file(buf_t *, far_info_t *);
ferr_t far_get_headsize(buf_t *, uint64_t *);
ferr_t far_find_entry(buf_t *, const char *, far_info_t **);
ferr_t far_extract_sim(buf_t *, const char *, uint64_t);
ferr_t far_find_simentry(buf_t *, const char *, far_info_t **, uint64_t);
ferr_t far_mkdir(far_info_t *);
ferr_t far_mknod(far_info_t *);
ferr_t far_symlink(far_info_t *);
ferr_t far_md5check_file(buf_t *, char_t *);

#endif	/* _EXTRACT_H_ */
