#include "far_types.h"
#include "far.h"
#include "far_err.h"
#include "list.h"

ferr_t farlink_f(far_list_t *info)
{
	_far_returnvalue(result, _FAR_ERR_SUCCESS);

	if(info && info->next)
	{
		info->next->prev = info;
		if(info->parent)
		{
			info->next->parent = info->parent;
		}
	}
	else
	{
		_far_set_errcode(result, _FAR_ERR_INVAL);
	}

	return result;
}

ferr_t farlink_s(far_list_t *info)
{
	_far_returnvalue(result, _FAR_ERR_SUCCESS);

	if(info && info->sub)
	{
		info->sub->parent = info;
	}
	else
	{
		_far_set_errcode(result, _FAR_ERR_INVAL);
	}

	return result;
}

