#ifndef	_ARCHIVE_H_
#define	_ARCHIVE_H_

ferr_t _far_archive(const char **, int, const char *, buf_t **, int, int);
ferr_t far_collectinfo(far_list_t **, const char *, regex_t *, char_t *);
ferr_t far_readdir(far_list_t **, const char *, regex_t *, char_t *);
ferr_t far_add_entry(far_list_t **, const char *, struct stat *);
ferr_t far_set_offset(far_list_t *, uint64_t *);
ferr_t far_create_archive(buf_t **, far_list_t *, int, int);
ferr_t far_put_header(far_list_t *, buf_t *);
ferr_t far_put_content(far_list_t *, buf_t *);
ferr_t far_put_info(far_list_t *, buf_t *);
ferr_t far_put_file(far_list_t *, buf_t *);
ferr_t far_put_arcksum(buf_t *);
ferr_t far_make_head(far_list_t *, far_head_t **);
void far_statcpy(far_stat_t *, far_stat_t *);
ferr_t far_put_ver(buf_t *);

#endif	/* _ARCHIVE_H_ */
