#ifndef	_FAR_ERR_H_
#define	_FAR_ERR_H_

#include <stdio.h>
#include <errno.h>

typedef int ferr_t;

#define	_FAR_ERR_SUCCESS	0
#define	_FAR_ERR_INVAL		-1
#define	_FAR_ERR_EMPTYHEAD	-2
#define	_FAR_ERR_NAMETOOLONG	-3
#define	_FAR_ERR_REGCOMP	-4
#define	_FAR_ERR_BUGREAD	-5
#define	_FAR_ERR_BADSTREAM	-6
#define	_FAR_ERR_SEGFLT		-7
#define	_FAR_ERR_EOF		-8
#define	_FAR_ERR_BADCRC		-9
#define	_FAR_ERR_BADFILECRC	-10
#define	_FAR_ERR_BADARCH	-11

#define	_far_returnvalue(x, y)	ferr_t x; x = y
#define	_far_set_errcode(x, y)	((x)=(y))
#define	_far_noerror(x)		(!(x))
#define	_far_err_comp(x, y)	((x) == (y))
#define	_far_err_clear(x)	((x) = _FAR_ERR_SUCCESS)

#ifdef	DEBUG
#	define	RETURN(x)	do{printf("%s@%d:%d\n", __FILE__, __LINE__, (int)x);\
return x;}while(0)
#else
#	define	RETURN(x)	return(x)
#endif	/* DEBUG */

#endif	/* _FAR_ERR_H_ */
