#ifndef	_FILEOPS_H_
#define	_FILEOPS_H_

#define	_FAR_FBUF_SIZE	4096

ferr_t far_statdup(far_list_t *, struct stat *);
ferr_t far_resolvelink(far_list_t *);
ferr_t far_append_file(char *, uint64_t, buf_t *, char_t **);
ferr_t far_md5digest(buf_t *, char_t **);
ferr_t far_md5_append(md5_state_t *, buf_t *);
struct  stat	*far_stat(const char *);
ferr_t far_fwrite(int, void *, uint64_t);
ferr_t far_fread(int, buf_t *, uint64_t, uint64_t *);
ferr_t far_make_path(char *, mode_t, int, int);
ferr_t far_chown(far_info_t *);
ferr_t far_chmod(far_info_t *);
ferr_t far_lseek(int, uint64_t, int);
ferr_t far_makedev(char *, uint64_t);

#endif	/* _FILEOPS_H_ */
