#ifndef	_UTILS_H_
#define	_UTILS_H_

#define	far_headsize(x)		((far_num_nodes(x) * sizeof(far_head_t)))
#define _SFREE(x)		do { if((x)) { free(x); } } while(0)

uint64_t far_num_nodes(far_list_t *);
uint64_t far_contentsize(far_list_t *);
ferr_t far_paths_size(far_list_t *);
ferr_t far_free_info(far_info_t *);
char *far_append_str(char *, const char *);
ferr_t _far_make_namehash(const char *, char_t **);
ferr_t far_memcpy(void *, void *, uint64_t);

#endif	/* _UTILS_H_ */
