#include <stdlib.h>
#include <regex.h>

#include "far_types.h"
#include "far.h"
#include "far_regex.h"

regex_t *far_regcomp(const char *regexp)
{
	regex_t	*result	= (regex_t *)NULL;

	if(regexp && *regexp)
	{
		if((result = calloc(1, sizeof(regex_t))))
		{
			if(regcomp(result, regexp, REG_EXTENDED))
			{
				free(result);
				result = NULL;
			}
		}
	}

	RETURN(result);
}

int far_match(char *dname, regex_t *preg)
{
	RETURN(!regexec(preg, dname, 0, NULL, 0));
}

