#include <string.h>
#include <stdlib.h>

#include "far_types.h"
#include "far.h"
#include "far_string.h"

char *far_build_path(far_list_t *info)
{
	char		*result	= (char *)NULL;
	char		**tmp	= (char **)NULL;
	far_list_t	*ptr	= (far_list_t *)NULL;
	int		count	= 0;

	if(info)
	{
		tmp = calloc(1, sizeof(char *));

		if(tmp)
		{
			for(count = 0, ptr = info ; ptr ;
				ptr = ptr->parent, count++)
			{
				tmp[count] = ptr->d_path;
			}

			result = far_concat(tmp, count, '/');
			printf("%s\n", result);
		}
	}

	RETURN(result);
}

char *far_concat(char **list, int index, char sep)
{
	char	*result	= (char *)NULL;
	int	count	= 0;

	if(list && sep)
	{
		result = calloc(1, 8);

		if(result)
		{
			for(count = index-1 ; count >= 0 ; count--)
			{
				result = realloc(result, (strlen(result) +
						strlen(list[count]) + 2));

				if(result)
				{
					strcat(result, list[count]);
					result[strlen(result) + 1] = 0;
					result[strlen(result)] = sep;
				}
			}

			if(result && *result)
			{
				result[strlen(result)-1] = 0;
			}
		}
	}

	RETURN(result);
}

