#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "far_types.h"
#include "far.h"

char *strerror(int);

int main(int argc, char **argv)
{
	char_t	*buffer =  NULL;
	int	result	= 0;
	FILE	*ofp	= NULL;
	uint64_t	size;

	result = far_buffer_archive((const char **)&(argv[1]), argc-1, NULL, (void **)&buffer, &size);

	printf("archive: %d\n", result);

	if(result > 0)
	{
		printf("%s\n", (char *)strerror(result));
	}
	else if(!result)
	{
		ofp = fopen("prova.far", "w");

		if(ofp)
		{
			fwrite(buffer, size, 1, ofp);
			fclose(ofp);
			mkdir("tmp/", 00755);
			errno = 0;
			errno = 0;
			errno = 0;
			errno = 0;
			chdir("tmp");
			result = far_buffer_extract(buffer, size, NULL);
			printf("extract: %d\n", result);
	if(result > 0)
	{
		printf("%s\n", (char *)strerror(result));
	}
		}
	}

	exit(0);
}

